OpenVDB 7.0.0

Public Types | Public Member Functions | List of all members
AdvectionOp< PointDataGridT, VelGridT, AdvectFilterT, FilterT > Struct Template Reference

`#include <PointAdvect.h>`

## Public Types
using | CachedDeformerT = CachedDeformer< double >

## Public Member Functions
| AdvectionOp (PointDataGridT &points, const VelGridT &velocity, const Index integrationOrder, const double timeStep, const Index steps, const AdvectFilterT &advectFilter, const FilterT &filter)
void | cache ()
void | advect ()

## Member Typedef Documentation

## ◆ CachedDeformerT

using CachedDeformerT = CachedDeformer<double>

## Constructor & Destructor Documentation

## ◆ AdvectionOp()

AdvectionOp | ( | PointDataGridT & | points,
|  | const VelGridT & | velocity,
|  | const Index | integrationOrder,
|  | const double | timeStep,
|  | const Index | steps,
|  | const AdvectFilterT & | advectFilter,
|  | const FilterT & | filter
| ) |  |
| inline

## Member Function Documentation

## ◆ advect()

void advect | ( |  | ) |
| inline

## ◆ cache()

void cache | ( |  | ) |
| inline

The documentation for this struct was generated from the following file:

- points/PointAdvect.h